function Hd = testBPF4
%TESTBPF4 Returns a discrete-time filter object.

% MATLAB Code
% Generated by MATLAB(R) 8.4 and the Signal Processing Toolbox 6.22.
% Generated on: 27-Aug-2015 08:46:57

% Chebyshev Type I Bandpass filter designed using FDESIGN.BANDPASS.

% All frequency values are in Hz.
Fs = 2000;  % Sampling Frequency

N      = 10;  % Order
Fpass1 = 20;  % First Passband Frequency
Fpass2 = 30;  % Second Passband Frequency
Apass  = 1;   % Passband Ripple (dB)

% Construct an FDESIGN object and call its CHEBY1 method.
h  = fdesign.bandpass('N,Fp1,Fp2,Ap', N, Fpass1, Fpass2, Apass, Fs);
Hd = design(h, 'cheby1');

% [EOF]
'N,Fp1,Fp2,Ast1,Ap,Ast2'
Astop, Apass, Astop, fs);


    hBPF = fdesign.bandpass('N,Fp1,Fp2,Ap',...
        filterOrder, filtFreqs(segCnt,1), filtFreqs(segCnt,2),...
        Apass, fs);
    HdBPF = design(hBPF, 'cheby1');
    timeDat(:,segCnt) = filter(HdBPF,timeDat(:,segCnt)); % filter the data